%global gimpplugindir %(gimptool --gimpplugindir)/plug-ins

Summary: An open and full-featured framework for image processing
Name: gmic
Version: 1.6.1.0
Release: 1%{?dist}
Source: http://downloads.sourceforge.net/project/%{name}/%{name}_%{version}.tar.gz
License: CeCILL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Multimedia
BuildRequires: libX11-devel libXext-devel 
BuildRequires: libtiff-devel libpng-devel libjpeg-devel fftw-devel
BuildRequires: OpenEXR-devel zlib-devel
BuildRequires: gtk2-devel gimp-devel-tools 
BuildRequires: hdf5-devel ffmpeg-devel opencv-devel GraphicsMagick-c++-devel ilmbase-devel
BuildRequires: qt-devel libcurl-devel
BuildRequires: bash-completion

%description
G'MIC is an open and full-featured framework for image processing, 
providing several different user interfaces to 
convert/manipulate/filter/visualize generic image datasets, from 1d 
scalar signals to 3d+t sequences of multi-spectral volumetric images.

%package devel
Requires:       %{name} = %{version}
Summary:        Development files for gmic

%package gimp
Requires:       %{name} = %{version}
Summary:        gmic-plugin for gimp

%description devel
Files for development with gmic.

%description gimp
This is the gimp-plugin for gmic.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup 

%build
cd src
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd src
make DESTDIR=$RPM_BUILD_ROOT install
%ifarch x86_64
    mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}/
%endif
rm -rf $RPM_BUILD_ROOT/%{_mandir}/fr/man1/%{name}.1.gz

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gmic
#%{_bindir}/zart
%{_sysconfdir}/bash_completion.d/gmic
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_mandir}/man1/%{name}.1.gz
%doc README COPYING

%files devel
%defattr(-,root,root)
%{_prefix}/include/gmic.h

%files gimp
%defattr(-,root,root)
%{gimpplugindir}/gmic_gimp


%changelog
* Tue Mar 17 2015 josef radinger <cheese@nosuchhost.net> - 1.6.1.0-1
- bump version
- add BuildRequires on libcurl-devel

* Fri Feb 06 2015 josef radinger <cheese@nosuchhost.net> - 1.6.0.4-1
- bump version

* Fri Dec 19 2014 josef radinger <cheese@nosuchhost.net> - 1.6.0.3-1
- bump version

* Tue Nov 25 2014 josef radinger <cheese@nosuchhost.net> - 1.6.0.2-1
- bump version

* Fri Oct 03 2014 josef radinger <cheese@nosuchhost.net> - 1.6.0.1-1
- bump version

* Thu Aug 21 2014 josef radinger <cheese@nosuchhost.net> - 1.6.0.0-1
- bump version

* Fri Jun 20 2014 josef radinger <cheese@nosuchhost.net> - 1.5.9.3-1
- bump version

* Fri Jun 06 2014 josef radinger <cheese@nosuchhost.net> - 1.5.9.2-1
- bump version
- fix date in changelog

* Tue Jun 03 2014 josef radinger <cheese@nosuchhost.net> - 1.5.9.1-1 
- bump version

* Thu May 15 2014 josef radinger <cheese@nosuchhost.net> - 1.5.9.0-1
- bump version

* Fri Apr 18 2014 josef radinger <cheese@nosuchhost.net> - 1.5.8.6-1
- bump version

* Sun Mar 30 2014 josef radinger <cheese@nosuchhost.net> - 1.5.8.5-1
- bump version

* Fri Mar 07 2014 josef radinger <cheese@nosuchhost.net> - 1.5.8.4-2
- explicit require bash-completion

* Thu Mar 06 2014 josef radinger <cheese@nosuchhost.net> - 1.5.8.4-1
- bump version

* Fri Feb 07 2014 josef radinger <cheese@nosuchhost.net> - 1.5.8.3-1
- bump version
- fix filelist

* Fri Mar 29 2013 josef radinger <cheese@nosuchhost.net> - 1.5.5.1
- initial version


